Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1299835 - pcsd fails to start due to module loading errors
Summary: pcsd fails to start due to module loading errors
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: pcs
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tomas Jelinek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-19 11:16 UTC by Andrew Price
Modified: 2017-08-08 12:40 UTC (History)
4 users (show)

Fixed In Version: pcs-0.9.149-2.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 12:40:58 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1370095 0 unspecified CLOSED PCS version in F24 conflicts with the one in F23: version upgrade failed 2021-02-22 00:41:40 UTC

Internal Links: 1370095

Description Andrew Price 2016-01-19 11:16:28 UTC
Description of problem:

Jan 19 10:06:58 rawhide2 pcsd[353]: Starting pcsd: /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- orderedhash (LoadError)
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/lib/pcsd/config.rb:2:in `<top (required)>'
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/lib/pcsd/pcs.rb:11:in `<top (required)>'
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
Jan 19 10:06:58 rawhide2 pcsd[353]: from /usr/lib/pcsd/ssl.rb:8:in `<main>'
Jan 19 10:06:58 rawhide2 pcsd[353]: [FAILED]
Jan 19 10:06:58 rawhide2 systemd[1]: pcsd.service: Main process exited, code=exited, status=1/FAILURE

Version-Release number of selected component (if applicable):
pcs-0.9.144-2.fc24.x86_64

How reproducible:
100%

Steps to Reproduce:
1. systemctl start pcsd

Actual results:
See above

Expected results:
No failure

Additional info:
[root@rawhide2 ~]# rpm -ql pcs | grep orderedhash
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/cache/orderedhash-0.0.6.gem
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/gems/orderedhash-0.0.6
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/gems/orderedhash-0.0.6/gemspec.rb
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/gems/orderedhash-0.0.6/install.rb
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/gems/orderedhash-0.0.6/lib
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/gems/orderedhash-0.0.6/lib/orderedautohash.rb
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/gems/orderedhash-0.0.6/lib/orderedhash.rb
/usr/lib/pcsd/vendor/bundle/ruby/2.3.0/specifications/orderedhash-0.0.6.gemspec
/usr/lib/pcsd/vendor/cache/orderedhash-0.0.6.gem
[root@rawhide2 ~]# rpm -q ruby
ruby-2.3.0-53.fc24.x86_64

Comment 1 Andrew Price 2016-01-26 17:11:22 UTC
I've reproduced this on a fresh rawhide install. Is there likely to be a simple workaround for it? It's complicating my upstream gfs2 testing a bit and I'm not familiar with how gems work in the ruby world.

Comment 2 Andrew Price 2016-01-27 11:07:35 UTC
OK, I've found a workaround, which is to add the 2.3.0 directory to the GEM_HOME export in /usr/lib/pcsd/pcsd:

    export GEM_HOME=/usr/lib/pcsd/vendor/bundle/ruby/2.3.0

Comment 3 Andrew Price 2016-02-22 12:50:55 UTC
pcsd from pcs-0.9.149-1.fc24.x86_64 is still failing but with rpam problems now:

systemd[1]: Started PCS GUI and remote configuration interface.
ruby[707]: Ignoring rpam-ruby19-1.2.1 because its extensions are not built.  Try: gem pristine rpam-ruby19 --version 1.2.1
ruby[707]: /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require': cannot load such file -- rpam (LoadError)
ruby[707]:         from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
ruby[707]:         from /usr/share/gems/gems/backports-3.6.4/lib/backports/std_lib.rb:9:in `require_with_backports'
ruby[707]:         from /usr/lib/pcsd/auth.rb:3:in `<top (required)>'
ruby[707]:         from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
ruby[707]:         from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
ruby[707]:         from /usr/share/gems/gems/backports-3.6.4/lib/backports/std_lib.rb:9:in `require_with_backports'
ruby[707]:         from /usr/lib/pcsd/cfgsync.rb:9:in `<top (required)>'
ruby[707]:         from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
ruby[707]:         from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
ruby[707]:         from /usr/share/gems/gems/backports-3.6.4/lib/backports/std_lib.rb:9:in `require_with_backports'
ruby[707]:         from /usr/lib/pcsd/pcs.rb:13:in `<top (required)>'
ruby[707]:         from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
ruby[707]:         from /usr/share/rubygems/rubygems/core_ext/kernel_require.rb:55:in `require'
ruby[707]:         from /usr/lib/pcsd/ssl.rb:8:in `<main>'
systemd[1]: pcsd.service: Main process exited, code=exited, status=1/FAILURE
systemd[1]: pcsd.service: Unit entered failed state.
systemd[1]: pcsd.service: Failed with result 'exit-code'.

Comment 4 Andrew Price 2016-02-23 17:26:57 UTC
Looks good - thanks!

[root@rawhide1 ~]# rpm -q pcs
pcs-0.9.149-2.fc24.x86_64
[root@rawhide1 ~]# systemctl status -l --no-pager pcsd
● pcsd.service - PCS GUI and remote configuration interface
   Loaded: loaded (/usr/lib/systemd/system/pcsd.service; enabled; vendor preset: disabled)
   Active: active (running) since Tue 2016-02-23 17:21:47 GMT; 1min 16s ago
 Main PID: 2538 (ruby-mri)
    Tasks: 6 (limit: 512)
   CGroup: /system.slice/pcsd.service
           └─2538 /usr/bin/ruby-mri -C/var/lib/pcsd -I/usr/lib/pcsd -- /usr/lib/pcsd/ssl.rb > /dev/null &

Comment 5 Jan Kurik 2016-02-24 14:18:22 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 6 Fedora End Of Life 2017-07-25 19:48:20 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2017-08-08 12:40:58 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.